{"openapi":"3.1.0","info":{"title":"GET /api/v1/recurring/{template_id}/history","version":"1.0.0","description":"Get recurring template history"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/recurring/{template_id}/history":{"get":{"tags":["recurring"],"summary":"Get recurring template history","description":"Get all bills or invoices generated from this recurring template.","operationId":"get_recurring_template_history_api_v1_recurring__template_id__history_get","parameters":[{"name":"template_id","in":"path","required":true,"schema":{"type":"string","title":"Template Id"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"Maximum items to return","default":50,"title":"Limit"},"description":"Maximum items to return"},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecurringTemplateHistoryResponse"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"404":{"description":"Not Found - Resource does not exist","content":{"application/json":{"example":{"detail":"Resource not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"GeneratedDocumentItem":{"properties":{"id":{"type":"string","title":"Id"},"document_type":{"$ref":"#/components/schemas/RecurrenceTypeEnum-Output"},"status":{"type":"string","title":"Status"},"number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Number"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"amount":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Amount"},"amount_in_dollars":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Amount In Dollars"},"due_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Due Date"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"vendor_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Vendor Name"},"customer_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Customer Name"}},"type":"object","required":["id","document_type","status","created_at"],"title":"GeneratedDocumentItem","description":"A document generated from a recurring template.","example":{"amount":350000,"amount_in_dollars":3500.0,"created_at":"2026-02-01T01:00:00Z","description":"Monthly office rent","document_type":"bill","due_date":"2026-02-16","id":"bill-uuid","status":"forecasted","vendor_name":"Property Management LLC"}},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"RecurrenceTypeEnum-Output":{"type":"string","enum":["invoice","bill"],"title":"RecurrenceTypeEnum","description":"Type of recurring document."},"RecurringTemplateHistoryResponse":{"properties":{"template_id":{"type":"string","title":"Template Id"},"template_name":{"type":"string","title":"Template Name"},"document_type":{"$ref":"#/components/schemas/RecurrenceTypeEnum-Output"},"total_generated":{"type":"integer","title":"Total Generated"},"items":{"items":{"$ref":"#/components/schemas/GeneratedDocumentItem"},"type":"array","title":"Items"}},"type":"object","required":["template_id","template_name","document_type","total_generated","items"],"title":"RecurringTemplateHistoryResponse","description":"Response for template generation history.","example":{"document_type":"bill","items":[{"amount":350000,"amount_in_dollars":3500.0,"created_at":"2026-01-01T01:00:00Z","document_type":"bill","due_date":"2026-01-16","id":"bill-uuid-1","status":"paid"}],"template_id":"template-uuid","template_name":"Monthly Rent","total_generated":3}},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}